Bug 476301 - [Chelsio FEAT] Update support for Terminator3 adapters
[Chelsio FEAT] Update support for Terminator3 adapters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Doug Ledford
Red Hat Kernel QE team
: FutureFeature, OtherQA
: 479169 (view as bug list)
Depends On:
Blocks: 445210 483784
  Show dependency treegraph
 
Reported: 2008-12-12 17:34 EST by Divy Le Ray
Modified: 2009-09-02 04:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar ball containing a series of patches against RHEL5.3 cxgb3 driver (91.04 KB, application/octet-stream)
2009-04-01 19:53 EDT, Divy Le Ray
no flags Details
patch to support MSIX/enable mutiple-queues in cxgb3 driver in RHEL54 (1.99 KB, text/plain)
2009-04-23 17:13 EDT, IBM Bug Proxy
no flags Details
patch to enhanced EEH recovery over cxgb3 RDMA for RHEL54 (5.13 KB, text/plain)
2009-04-23 17:13 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Divy Le Ray 2008-12-12 17:34:27 EST
1.  Feature Overview:
     a. Name of feature:
        Update support for Chelsio Terminator3 adapter

     b. Feature Description
        On going support for the 10Gbs NIC/RDMA/iSCSI Terminator3 adapters
        OFED 1.4 support
        Accelerated iSCSI support
        EEH recovery for offloaded modules
        New PHYs support

2.  Feature Details:
     a. Architectures:
         All

     b. Bugzilla Dependencies:
        

     c. Drivers or hardware dependencies:
         The driver modules are:
            cxgb3 (NIC),
            iw_cxgb3 (iWARP),
            cxgb3i (iSCSI)

     d. Upstream acceptance information:
            Most bits have been committed upstream, will show up in 2.6.29

     e. External links:
        The accelerated iSCSI is committed upstream:
         http://git.kernel.org/?p=linux/kernel/git/mnc/linux-2.6-iscsi.git;a=commitdiff;h=f6b231ee87190e76eacd8a3af3888aa8b9614c46
         
         The EEH recovery for offloaded modules will appear within a month.

         The driver updates are committed in net-next-2.6
   
     f. Severity (U,H,M,L):
         High (required for Hardware Enablement)

     g. Target Release Date:
        (Is there a GA/release date of partner product requiring this feature?)


3. Business Justification:
     a. Why is this feature needed?
          OEM partners (IBM) requested these features
     b. What hardware does this enable?
          Chelsio Terminator3 adapters

4. Primary contact at Red Hat, email, phone (chat)
    Andy Gospodarek
    gospo@redhat.com

5. Primary contact at Partner, email, phone (chat)
    Divy Le Ray
    divy@chelsio.com
     Phone Number
Comment 1 RHEL Product and Program Management 2009-02-16 10:41:48 EST
Updating PM score.
Comment 2 Divy Le Ray 2009-04-01 19:53:36 EDT
Created attachment 337690 [details]
tar ball containing a series of patches against RHEL5.3 cxgb3 driver

Hi,

The tar ball in attachment contains a series of patches updating the cxgb3 driver for RHEL5.4. Patches 1-36 update the driver to the current linus'tree - early 2.6.30.
Patch 37 updates the driver embedded FW image.
Patches 38-39 will be submitted to kernel.org as soon as net-next-2.6 opens for 2.6.31.
Each patch contains the git commit info as seen in kernel.org.
The patches should be applied in ascending order.

Cheers,
Divy
Comment 3 John Jarvis 2009-04-23 17:09:36 EDT
*** Bug 479169 has been marked as a duplicate of this bug. ***
Comment 4 IBM Bug Proxy 2009-04-23 17:13:28 EDT
Created attachment 341015 [details]
patch to support MSIX/enable mutiple-queues in cxgb3 driver in RHEL54
Comment 5 IBM Bug Proxy 2009-04-23 17:13:32 EDT
Created attachment 341016 [details]
patch to enhanced EEH recovery over cxgb3 RDMA for RHEL54
Comment 6 John Jarvis 2009-04-30 10:10:56 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 Don Zickus 2009-05-06 13:15:21 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 IBM Bug Proxy 2009-06-09 23:51:31 EDT
------- Comment From wenxiong@us.ibm.com 2009-06-09 23:48 EDT-------
This feature is also for support EEH recovery over cxgb3 interface in RDMA enviroment. The currect REHL54 kernel includes the latest cxgb3 NIC code but missing the second patch in this feature.

The second patch is for enhanced EEH recovery over cxgb3 RDMA.

I am going to open a bugzilla bug to address that part code in iw_cxgb3.

Thanks,
Wendy
Comment 10 Chris Ward 2009-06-14 19:19:10 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 11 IBM Bug Proxy 2009-06-18 03:03:56 EDT
------- Comment From amitarora@in.ibm.com 2009-06-18 02:10 EDT-------
*** Bug 53389 has been marked as a duplicate of this bug. ***
Comment 12 IBM Bug Proxy 2009-06-22 15:04:12 EDT
------- Comment From wenxiong@us.ibm.com 2009-06-22 11:20 EDT-------
The patch for this feature is not in RHEL54-Alpha(-152) yet. It is in rhel54-154 kernel. I have downloaded and re-built -154 kernel.  The patch works fine in -154 kernel.

Thanks,
Wendy
Comment 13 Chris Ward 2009-07-03 14:17:55 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 Chris Ward 2009-07-10 15:08:59 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 15 Divy Le Ray 2009-07-10 19:21:03 EDT
Hi,

I have opened ticket 510808 to track a series of bug fixes committed to kernel.org.

Cheers,
Divy
Comment 16 IBM Bug Proxy 2009-07-14 20:00:49 EDT
------- Comment From wenxiong@us.ibm.com 2009-07-14 19:57 EDT-------
I have verified this feature in Snap1. Basically patches/code have been intergrated into iw_cxgb3 module. EEH recovery over RDMA/cxgb3 works with  a very minor workaround in /etc/init.d/openibd(Infiniband start script)

I spent lots of time to figure this out.  openibd script in snap1 is difference with one in rhl53: the order to load infiniband modules are difference. I am going to open another bug for that minor workaround.

Thanks,
Wendy
Comment 17 Chris Ward 2009-07-15 04:07:12 EDT
Thanks for the information. Please post a link to the new bug created for the issue you've reported against the init script.
Comment 18 IBM Bug Proxy 2009-07-15 23:11:57 EDT
------- Comment From wenxiong@us.ibm.com 2009-07-15 23:06 EDT-------
I have opened a IBM bugzilla bug and attach the patch in it.

[Bug 54742] RHEL5.4 Snap1: feature 50951 failed with  new e/tc/init.d/openibd init script

After mirror to RedHat, you should see that bug.

Thanks,
Wendy
Comment 19 Chris Ward 2009-07-16 10:21:51 EDT
Okay, i am closing this bug then as VERIFIED. Make sure to escalate the new init bug to your partner manager as soon as it's mirrored. Its getting very late in the release cycle, so the chances of getting it accepted and fixed for 5.4 are getting lower by the day. Thanks.
Comment 20 Divy Le Ray 2009-07-22 00:08:43 EDT
Hi,

I had opened https://bugzilla.redhat.com/show_bug.cgi?id=510818
on 07/10 to incorporate a series of bug fixes.
I've not seen any activity in this regard.
I'd really like to see these fixes in.

Cheers,
Divy
Comment 21 IBM Bug Proxy 2009-07-31 10:41:15 EDT
------- Comment From wenxiong@us.ibm.com 2009-07-31 10:31 EDT-------
I have verified  EEH recovery over RDMA/cxgb3 in Snap4. Works fine now.

Thanks,
Wendy
Comment 23 errata-xmlrpc 2009-09-02 04:56:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.